Page MenuHomePhabricator

New Pages Feed: "draft" namespace should not be in NPP dropdown
Closed, ResolvedPublic

Description

In both testwiki and beta labs:

  1. Select the "New Page Patrol" toggle.
  2. Open "Set filters"
  3. Open the dropdown under "In namespace:"
  4. See that "Draft" is available as an option.

Drafts should not be viewable under the "New Page Patrol" part of the New Pages Feed.

FYI @Etonkovidova

It is thought that this has the same cause as T200826.

Event Timeline

Change 449517 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449517

SBisson claimed this task.Jul 31 2018, 6:36 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 449517 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449517

Niharika removed a subscriber: Niharika.Aug 1 2018, 4:56 AM

Change 449692 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.14] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449692

Change 449693 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.15] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449693

SBisson removed the point value for this task.Aug 1 2018, 2:47 PM

Change 449692 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.14] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449692

Change 449693 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.15] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449693

Mentioned in SAL (#wikimedia-operations) [2018-08-01T16:36:15Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/PageTriage/modules/ext.pageTriage.views.list/ext.pageTriage.listControlNav.js: SWAT: [[gerrit:449693|Fix namespaces shown in NPP filters]] T200826 T200821 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2018-08-01T16:38:17Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.14/extensions/PageTriage/modules/ext.pageTriage.views.list/ext.pageTriage.listControlNav.js: SWAT: [[gerrit:449692|Fix namespaces shown in NPP filters]] T200826 T200821 (duration: 00m 55s)

Etonkovidova closed this task as Resolved.Aug 1 2018, 8:37 PM

Checked in betalabs and in testwiki.15 - the User namespace is in place and all functionality seem to be in place too.